Set Role Permissions
Role Based Access Control
Set Role Permissions
Sets or updates permissions for a specific role
PUT
Set Role Permissions
For the complete error reference, see Error Guide.Documentation Index
Fetch the complete documentation index at: https://cometchat-22654f5b-docs-campaigns-service-rest-api.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).
Path Parameters
The role identifier to update permissions for
Example:
"default"
Body
application/json
Permissions object containing key-value pairs for role permissions
Example:
{
"createGroup": "allow",
"listUsers.mode": "friends",
"createGroup.allowedGroupTypes": ["public"]
}Response
200 - application/json
Role permissions updated successfully